Package com.sun.jna.platform.win32.COM

## Class Moniker.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Moniker
        - - com.sun.jna.platform.win32.COM.Moniker.ByReference

All Implemented Interfaces:
  `NativeMapped`, `IMoniker`, `IPersist`, `IPersistStream`, `IUnknown`, `Structure.ByReference`

Enclosing class:
  Moniker

    public static class Moniker.ByReference
    extends Moniker
    implements Structure.ByReference

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Moniker

`Moniker.ByReference`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.COM.Moniker

`vTableIdStart`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
`ByReference()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.COM.Moniker

`BindToObject, BindToStorage, CommonPrefixWith, ComposeWith, Enum, GetClassID, GetDisplayName, GetSizeMax, GetTimeOfLastChange, Hash, Inverse, IsDirty, IsEqual, IsRunning, IsSystemMoniker, Load, ParseDisplayName, Reduce, RelativePathTo, Save`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Constructor Detail

#### ByReference

    public ByReference()